Reserve automatically against eligible demand lines

post

/fscmRestApi/resources/11.13.18.05/inventoryStagedReservations/action/reserveAutomatically

Create reservation records for a demand header in concurrent mode.

Request

Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/vnd.oracle.adf.action+json ()
Root Schema : schema
Type: object
Show Source
  • Value that identifies the header number for the source of demand.
  • This value identifies the type of demand. Valid values are 2, 8, 18, and 5:

    2 indicates Sales Order
    8 indicates Transfer Order
    18 indicates Transfer Order
    5 indicates Work Order
  • excludedLineIds
    List of line IDs for a demand header for which a reservation should not be created. For work orders, the line ID is identified as wo_operation_id-component_item_id.
  • Value that uniquely identifies the organization.
  • Value identifies the reservation action that needs to be performed. Valid values are 1, 2, 3, and 4:

    1 indicates Create
    2 indicates Update
    3 indicates Delete
    4 indicates Transfer
Nested Schema : excludedLineIds
Type: array
List of line IDs for a demand header for which a reservation should not be created. For work orders, the line ID is identified as wo_operation_id-component_item_id.
Show Source
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Body ()
Root Schema : schema
Type: object
Show Source
Back to Top